<template>
<!-- v-if= "memberId ===''" -->
  <div class="confirm" >
    <img :src="url" alt="">
    <div class="content">
    <p class="text">Welcome to GIADA GALLERY</p>
    <p class="text">GIADA需要您授权同意获取您的微信公开信息</p>
        <button
      class="footer"
      open-type="getUserInfo"
      @getuserinfo="bindGetUserInfo"
      @click="getUserInfo1">获取权限</button>
        <img :src="weixin" alt="" class="img">
    <!-- <div class="footer"  @click="onClick" >    
      <div class="box">
          
          <div class="btn" >点击授权</div>
      </div>
    </div> -->
    </div>
    
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6">
  import areadata from '@/utils/area.js'
  import wxbarcode from 'wxbarcode'
  import config from '@/config'
  import turn from '@/components/turn/turn.vue'
  import top from '@/components/top/top.vue'
  import change from '@/components/change/change.vue'
  import qrcode from 'weapp-qrcode'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import  password from '@/components/verify/verify.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData,Appid} from '@/utils/base'
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        memberId:'',
        url:config.url+'confirm.png',
        weixin:config.url+'微信@2x.png',
        hintbox: {
          text: "",
          show: false
        },
        button:{
          high : true
        },
        datas:{},
      }
    },
    components:{
    //    'v-footer' : footer,
    //    'v-spaces' : spaces,
       'v-hintbox' : hintbox
    },
    methods:{
       getUserInfo1(){
      let that =this;
      if(!this.button.high){
        return;
      }
      this.button.high = false;
      setTimeout(function () {
        that.button.high = true;
      },5000);
      console.log('click事件首先触发');
      // 判断小程序的API，回调，参数，组件等是否在当前版本可用。  为false 提醒用户升级微信版本
      // console.log(wx.canIUse('button.open-type.getUserInfo'))
      if(wx.canIUse('button.open-type.getUserInfo')){
        // config.href(config.Login);

        console.log('版本可用')
        // 用户版本可用
      }else{
        that.hintbox.show = true;
        that.hintbox.text = '请升级微信小程序版本';
      }

    },
    bindGetUserInfo(e) {
      let that =this;
      // console.log(e.mp.detail.rawData)
      if (e.mp.detail.rawData){
        //用户按了允许授权按钮
        console.log('用户按了允许授权按钮');
        wx.getSetting({
          success: function(res){
            if (res.authSetting['scope.userInfo']) {
              wx.getUserInfo({
                success: function(res) {
                  console.log(res.userInfo)
                  wx.setStorageSync('UserInfo', res.userInfo)
                  VeevlinkLogin('','','confirm',function () {
                    console.log('succes');
                    // config.href(config.mainPage.login);
                    //  config.href(config.mainPage.instruction,true);
                  });
                }
              })
            }else{
              that.hintbox.show = true;
              that.hintbox.text = '用户未授权';
            }
          }
        })



      } else {
        //用户按了拒绝按钮
        console.log('用户按了拒绝按钮')
        //  that.bindGetUserInfo();

      }
    },
      onClick(){
        config.href(config.mainPage.login);
      },
      close(){
        let that =  this;
        that.hintbox.show = false;
        this.hintbox.text = '';
      },
       enter(){
        let that =this;
        let appid = Appid();
        console.log(appid);
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let phone =  wx.getStorageSync('phonewx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkIslogin(function (res) {
          console.log('用户已授权登录');
          if(phone){
            VeevlinkClient(
             '/member/login?openId='+VerificationCodeEntity.OpenId + '&phone='+phone.phoneNumber+'&type=wechat',
              'GET',
              '',
            function (data) {
              if(data.success){
                 wx.setStorageSync('memberid',data.records[0].memberId);
                 wx.reLaunch({
                    url: '/pages/mainPage/home/main?id=1'
                 })
              }else{
                if(appid === 'wxe3786e0f1c17f2f9'){
                  //  config.href(config.mainPage.confirm,true);
                  // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
                 
                }else{
                  // config.href(config.mainPage.confirm,true);
                  // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
                }
              }
            },
            function (err) {
              if(appid === 'wxe3786e0f1c17f2f9'){
                // config.href(config.mainPage.confirm,true);
                // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
              }else{
                // config.href(config.mainPage.confirm,true);
                // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
              }
            })

          }else{

          }
          
        },function (appid) {
          // 判断失败时的appid是测试环境就跳授权也，否则跳手机登录
          if(appid === 'wxe3786e0f1c17f2f9'){
            // config.href(config.mainPage.confirm,true);
            // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
            // 2019-10-25 sonia改动 end
          }else{
            config.href(config.mainPage.home,true);
          }
        },function (text) {
          // 用户授权失败
          that.hintbox.show = true;
          that.hintbox.text = text;
        });
      },
      islogin(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let phone =  wx.getStorageSync('phonewx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/login?openId='+VerificationCodeEntity.OpenId + '&phone='+phone.phoneNumber+'&type=wechat',
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records[0]){
                that.datas = data.records[0];
                if(that.datas.isRegister){
                  wx.setStorageSync('memberid',that.datas.memberId);
                  if(that.datas.lastName === ''){
                    config.href(config.mainPage.info);
                  }else{
                      wx.reLaunch({
                        url: '/pages/mainPage/home/main?id=1'
                     })
                  }
                  // config.href(config.mainPage.info);
                }else{
                  that.hintbox.show = true;
                  that.hintbox.text = '您还未注册，请点击手机号码登录/注册！';
                }
                
                console.log('listhome',that.list);
              }else{
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
          // config.href(config.mainPage.info);

        },
     
  },
  onShow(){
    this.enter();
  },
   onLoad(data) {
      mta.Page.init();
      if(data.page !=='home'){
        this.memberId = wx.getStorageSync('memberid');
      console.log('memberId',this.memberId);
        //this.enter();
      //   wx.reLaunch({
      //     url: '/pages/mainPage/home/main?id=1'
      //  })
      }else{
        return;
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style >
page{
  height: 100%;
}
</style>
<style  lang="scss"  type="text/scss" scoped >

   .confirm{
     height: 100%;
     img{
      //  width: 100%;
       width: 7.5rem;
      //  height: 8.8rem;
       height: 69%;
     }
     .text{
       font-size: 0.24rem;
       color: #323232;
       margin: 0.1rem;
       text-align: center;
       font-family: Gill Sans SemiBold;
       padding-left: 0.75rem;
     }
     .content{
       position: absolute;
       bottom: 0.8rem;
     }
      .footer{
      background-color: #919191;
      color: #fff;
      text-align: center;
      height: 0.6rem;
      line-height: 0.6rem;
      margin-left: 0.75rem;
      width: 6rem;
      border: none;
      border-radius:0;
      margin-top: 0.46rem;
      font-size:0.24rem;
      }
      .img{
          width: 0.45rem;
          height:0.36rem;
          position: relative;
          top: -45rpx;
          left: 265rpx;

        }
      .box{
        display: flex;
        font-size: 0.24rem;
        margin-left: 2.2rem;
        
        .btn{
          font-size: 0.24rem;
        }
        
        
      }
    
    .stop{
      background-color: #FD7800;
    }
   }
</style>
